%define upstream_name    Net-Twitter
%define upstream_version 4.01043

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    A perl interface to the Twitter API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::SSL) >= 2.5.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent) >= 5.819.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Meta::Method)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Net::HTTP)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Net::OAuth::Message)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a perl interface to the Twitter APIs. See
<http://dev.twitter.com/doc> for a full description of the Twitter
APIs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 4.10.430-4.mga9
+ Revision: 1830189
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.10.430-3.mga8
+ Revision: 1505625
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.10.430-2.mga7
+ Revision: 1285288
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 4.10.430-1.mga7
+ Revision: 1197650
- update to 4.01043

* Tue Oct 03 2017 tv <tv> 4.10.420-2.mga7
+ Revision: 1166010
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 4.10.420-1.mga7
+ Revision: 1156038
- new version 4.01042

* Sun Jun 19 2016 pterjan <pterjan> 4.10.200-2.mga6
+ Revision: 1031337
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 4.10.200-1.mga6
+ Revision: 1002265
- update to 4.01020

* Thu Feb 18 2016 umeabot <umeabot> 4.10.100-2.mga6
+ Revision: 967453
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 4.10.100-1.mga6
+ Revision: 849029
- update to 4.01010

* Wed Oct 15 2014 umeabot <umeabot> 4.10.50-3.mga5
+ Revision: 738899
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.50-2.mga5
+ Revision: 685742
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 sander85 <sander85> 4.10.50-1.mga5
+ Revision: 662212
- update to 4.01005

* Tue Apr 15 2014 jquelin <jquelin> 4.10.40-1.mga5
+ Revision: 614953
- update to 4.01004

* Fri Mar 14 2014 jquelin <jquelin> 4.10.30-1.mga5
+ Revision: 603729
- update to 4.01003

* Sun Feb 09 2014 sander85 <sander85> 4.10.20-1.mga5
+ Revision: 587643
- update to 4.01002

* Sat Oct 19 2013 umeabot <umeabot> 4.0.70-2.mga4
+ Revision: 531949
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 4.0.70-1.mga4
+ Revision: 465935
- update to 4.00007

* Tue Aug 06 2013 mcb30 <mcb30> 4.0.60-1.mga4
+ Revision: 464179
- Updated to version 4.00006 (old version no longer works due to API change)

* Sun Jan 13 2013 umeabot <umeabot> 3.180.40-2.mga3
+ Revision: 370955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 jquelin <jquelin> 3.180.40-1.mga3
+ Revision: 307574
- update to 3.18004

* Wed Jul 04 2012 jquelin <jquelin> 3.180.30-1.mga3
+ Revision: 267448
- update to 3.18003

* Tue Jun 05 2012 jquelin <jquelin> 3.180.20-1.mga3
+ Revision: 255242
- update to 3.18002

* Thu Oct 13 2011 jquelin <jquelin> 3.180.10-1.mga2
+ Revision: 154410
- update to 3.18001

* Mon Apr 04 2011 kharec <kharec> 3.170.10-1.mga1
+ Revision: 80504
- update to new version

* Wed Mar 30 2011 kharec <kharec> 3.170.0-1.mga1
+ Revision: 79062
- add a BR on MoosX::Role::Parameterized
- new version 3.17

* Mon Mar 28 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 78399
- adding missing buildrequires:
+ kharec <kharec>
- new version

* Sat Feb 26 2011 jquelin <jquelin> 3.150.0-1.mga1
+ Revision: 60251
- update to 3.15000
- update to 3.14003

* Tue Jan 25 2011 jquelin <jquelin> 3.140.20-1.mga1
+ Revision: 38669
- mageia rebuild
- imported package perl-Net-Twitter

